ROS Resources: Documentation | Support | Discussion Forum | Service Status | Q&A answers.ros.org

GTest v1.8

From https://github.com/google/googletest/releases, it looks like the beta1 gmock and gtest come from version 1.7, but there is a new version 1.8. When compiling gtest.h, GCC emits a warning with the -Wextra flag. The warning was addressed in 1.8: https://github.com/google/googletest/pull/633. I haven’t tested that there are no warnings in the 1.8 release, but what is the process of including that in the next ROS2 binary release?

The best way would be to open an issue on https://github.com/ament/gtest_vendor asking for a sync with upstream gtest.
Ideally we would be able to sync and integrate the latest release of gtest and gmock now that they are developed and hosted on the same repo.

Thanks. I created an issue at https://github.com/ament/gtest_vendor/issues/3.